v1.0.0
OpenAPI 3.1.0

WMO Global Ecosystems Atlas API

Public API for the WMO Global Ecosystems Atlas. Provides access to ecosystem taxonomy, geospatial statistics, and a mechanism to suggest data improvements.

Server:https://globalecosystemsatlas.org/api/v1
Client Libraries

taxonomy

​

List realms

​
Query Parameters
  • limit
    Type: integer
    min:  
    1
    max:  
    200

    Maximum number of items to return (1–200, default 100)

  • offset
    Type: integer
    min:  
    0

    Number of items to skip for pagination (default 0)

  • fields
    Type: string

    Comma-separated list of fields to include in the response

  • lang
    Type: string

    Language for the resolved name/description (e.g. en, fr, es). Defaults to en; falls back to English when a translation is missing.

Responses
  • application/json
Request Example for get/realms
curl https://globalecosystemsatlas.org/api/v1/realms
{
  "data": [
    {
      "id": "string",
      "name": "string",
      "color": "string",
      "description": "string"
    }
  ],
  "meta": {
    "total_count": 1,
    "limit": 1,
    "offset": 1
  }
}

List biomes

​
Query Parameters
  • limit
    Type: integer
    min:  
    1
    max:  
    200

    Maximum number of items to return (1–200, default 100)

  • offset
    Type: integer
    min:  
    0

    Number of items to skip for pagination (default 0)

  • fields
    Type: string

    Comma-separated list of fields to include in the response

  • lang
    Type: string

    Language for the resolved name/description (e.g. en, fr, es). Defaults to en; falls back to English when a translation is missing.

Responses
  • application/json
Request Example for get/biomes
curl https://globalecosystemsatlas.org/api/v1/biomes
{
  "data": [
    {
      "id": "string",
      "name": "string",
      "color": "string",
      "description": "string",
      "realm": {
        "id": "string",
        "name": "string"
      }
    }
  ],
  "meta": {
    "total_count": 1,
    "limit": 1,
    "offset": 1
  }
}

List ecosystems

​
Query Parameters
  • limit
    Type: integer
    min:  
    1
    max:  
    200

    Maximum number of items to return (1–200, default 100)

  • offset
    Type: integer
    min:  
    0

    Number of items to skip for pagination (default 0)

  • fields
    Type: string

    Comma-separated list of fields to include in the response

  • lang
    Type: string

    Language for the resolved name/description (e.g. en, fr, es). Defaults to en; falls back to English when a translation is missing.

Responses
  • application/json
Request Example for get/ecosystems
curl https://globalecosystemsatlas.org/api/v1/ecosystems
{
  "data": [
    {
      "id": "string",
      "name": "string",
      "color": "string",
      "ecosystem_class": "string",
      "description": "string",
      "area": 1,
      "biome": {
        "id": "string",
        "name": "string",
        "realm": {
          "id": "string",
          "name": "string"
        }
      }
    }
  ],
  "meta": {
    "total_count": 1,
    "limit": 1,
    "offset": 1
  }
}

List datasets

​
Query Parameters
  • limit
    Type: integer
    min:  
    1
    max:  
    200

    Maximum number of items to return (1–200, default 100)

  • offset
    Type: integer
    min:  
    0

    Number of items to skip for pagination (default 0)

  • fields
    Type: string

    Comma-separated list of fields to include in the response

Responses
  • application/json
Request Example for get/datasets
curl https://globalecosystemsatlas.org/api/v1/datasets
{
  "data": [
    {
      "id": "string",
      "title": "string",
      "abstract": "string",
      "citation": "string",
      "url": "string",
      "doi": "string",
      "licence": "string",
      "published_year": 1
    }
  ],
  "meta": {
    "total_count": 1,
    "limit": 1,
    "offset": 1
  }
}

Get a realm

​
Path Parameters
  • id
    Type: string
    required

    Realm identifier

Query Parameters
  • fields
    Type: string

    Comma-separated list of fields to include in the response

  • lang
    Type: string

    Language for the resolved name/description (e.g. en, fr, es). Defaults to en; falls back to English when a translation is missing.

Responses
  • application/json
  • application/json
Request Example for get/realms/{id}
curl 'https://globalecosystemsatlas.org/api/v1/realms/{id}'
{
  "data": {
    "id": "string",
    "name": "string",
    "color": "string",
    "description": "string"
  }
}

Get a biome

​
Path Parameters
  • id
    Type: string
    required

    Biome identifier

Query Parameters
  • fields
    Type: string

    Comma-separated list of fields to include in the response

  • lang
    Type: string

    Language for the resolved name/description (e.g. en, fr, es). Defaults to en; falls back to English when a translation is missing.

Responses
  • application/json
  • application/json
Request Example for get/biomes/{id}
curl 'https://globalecosystemsatlas.org/api/v1/biomes/{id}'
{
  "data": {
    "id": "string",
    "name": "string",
    "color": "string",
    "description": "string",
    "realm": {
      "id": "string",
      "name": "string"
    }
  }
}

Get an ecosystem

​
Path Parameters
  • id
    Type: string
    required

    Ecosystem (EFG) identifier

Query Parameters
  • fields
    Type: string

    Comma-separated list of fields to include in the response

  • lang
    Type: string

    Language for the resolved name/description (e.g. en, fr, es). Defaults to en; falls back to English when a translation is missing.

Responses
  • application/json
  • application/json
Request Example for get/ecosystems/{id}
curl 'https://globalecosystemsatlas.org/api/v1/ecosystems/{id}'
{
  "data": {
    "id": "string",
    "name": "string",
    "color": "string",
    "ecosystem_class": "string",
    "description": "string",
    "area": 1,
    "biome": {
      "id": "string",
      "name": "string",
      "realm": {
        "id": "string",
        "name": "string"
      }
    }
  }
}

Get a dataset

​
Path Parameters
  • id
    Type: string
    required

    Dataset identifier

Query Parameters
  • fields
    Type: string

    Comma-separated list of fields to include in the response

Responses
  • application/json
  • application/json
Request Example for get/datasets/{id}
curl 'https://globalecosystemsatlas.org/api/v1/datasets/{id}'
{
  "data": {
    "id": "string",
    "title": "string",
    "abstract": "string",
    "citation": "string",
    "url": "string",
    "doi": "string",
    "licence": "string",
    "published_year": 1
  }
}

statistics (Collapsed)

​

Geospatial coverage statistics by country, grouping, or custom area

contributions (Collapsed)

​

Submit suggestions to improve the underlying geospatial data

contributions Operations

geography (Collapsed)

​

Countries and regional groupings reference data

lookup (Collapsed)

​

Look up ecosystem data at a point

lookup Operations

tiles (Collapsed)

​

Raster map tiles for the ecosystem layer

Models